<?xml version="1.0" encoding="utf-8"?>
<resources>

    <style name="dialog_button_text_style">
        <item name="android:textSize">@dimen/im_big_text_size</item>
        <item name="android:textColor">@color/im_black</item>
        <item name="android:background">@drawable/im_nim_list_item_selector</item>
        <item name="android:paddingTop">@dimen/im_custom_dialog_padding_vertical</item>
        <item name="android:paddingBottom">@dimen/im_custom_dialog_padding_vertical</item>
    </style>

    <style name="custom_dialog_message_text_style">
        <item name="android:textSize">@dimen/im_normal_text_size</item>
        <item name="android:textColor">@color/im_color_black_333333</item>
        <item name="android:paddingLeft">@dimen/im_dialog_text_margin_horizontal</item>
        <item name="android:paddingRight">@dimen/im_dialog_text_margin_horizontal</item>
        <item name="android:paddingTop">@dimen/im_custom_dialog_padding_vertical</item>
        <item name="android:paddingBottom">@dimen/im_custom_dialog_padding_vertical</item>
        <item name="android:background">@drawable/im_nim_list_item_selector</item>
    </style>

    <style name="easy_dialog_style" parent="@android:style/Theme.Dialog">
        <item name="android:windowFrame">@null</item>
        <!-- 边框 -->
        <item name="android:windowIsFloating">true</item>
        <!-- 是否浮现在activity之上 -->
        <item name="android:windowIsTranslucent">true</item>
        <!-- 半透明 -->
        <item name="android:windowNoTitle">true</item>
        <!-- 无标题 -->
        <item name="android:windowBackground">@color/im_transparent</item>
        <!-- 背景透明 -->
        <item name="android:backgroundDimEnabled">true</item>
        <!-- 后面的activity变暗 -->
    </style>

    <style name="dialog_default_style" parent="@android:style/Theme.Dialog">
        <item name="android:windowBackground">@color/im_transparent</item>
        <item name="android:windowFrame">@null</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:backgroundDimEnabled">true</item>
    </style>

    <style name="dialog_title_text_style">
        <item name="android:textSize">@dimen/im_big_text_size</item>
        <item name="android:textColor">@color/im_color_activity_blue_bg</item>
        <item name="android:textStyle">bold</item>
        <item name="android:paddingLeft">@dimen/im_dialog_text_margin_horizontal</item>
        <item name="android:paddingRight">@dimen/im_dialog_text_margin_horizontal</item>
        <item name="android:paddingTop">@dimen/im_dialog_padding_vertical</item>
        <item name="android:paddingBottom">@dimen/im_dialog_padding_vertical</item>
    </style>


    <!-- view -->
    <style name="dialog_message_text_style">
        <item name="android:textSize">@dimen/im_normal_text_size</item>
        <item name="android:textColor">@color/im_grey</item>
        <item name="android:paddingLeft">@dimen/im_dialog_text_margin_horizontal</item>
        <item name="android:paddingRight">@dimen/im_dialog_text_margin_horizontal</item>
        <item name="android:paddingTop">@dimen/im_dialog_padding_vertical</item>
        <item name="android:paddingBottom">@dimen/im_dialog_padding_vertical</item>
    </style>

    <style name="grid_view" parent="@android:style/Widget.GridView">
        <item name="android:scrollbarThumbVertical">@drawable/im_nim_scrollbar_handle_holo_dark</item>
        <item name="android:scrollbarThumbHorizontal">@drawable/im_nim_scrollbar_handle_holo_dark</item>
    </style>

    <style name="list_view" parent="@android:style/Widget.ListView">
        <item name="android:scrollbarThumbVertical">@drawable/im_nim_scrollbar_handle_holo_dark</item>
        <item name="android:scrollbarThumbHorizontal">@drawable/im_nim_scrollbar_handle_holo_dark</item>
    </style>

    <style name="scroll_view" parent="@android:style/Widget.ScrollView">
        <item name="android:scrollbarThumbVertical">@drawable/im_nim_scrollbar_handle_holo_dark</item>
        <item name="android:scrollbarThumbHorizontal">@drawable/im_nim_scrollbar_handle_holo_dark</item>
    </style>

    <style name="blue_bottom_line_edit_text_style" parent="@android:style/Widget.EditText">
        <item name="android:background">@drawable/im_nim_blue_edit_text_bg</item>
        <item name="android:paddingLeft">6dp</item>
        <item name="android:paddingRight">6dp</item>
        <item name="android:paddingBottom">6dp</item>
        <item name="android:paddingTop">6dp</item>
        <item name="android:includeFontPadding">false</item>
        <item name="android:gravity">center_vertical</item>
    </style>

    <style name="horizontal_light_thin_divider">
        <item name="android:layout_height">2px</item>
        <item name="android:layout_width">fill_parent</item>
        <item name="android:background">@color/im_color_gray_d9d9d9</item>
    </style>

    <!--====================RES_AVCHAT====================-->
    <!--====================RES_AVCHAT====================-->
    <!--====================RES_AVCHAT====================-->


    <!--====================RES_UIKIT====================-->
    <!--====================RES_UIKIT====================-->
    <!--====================RES_UIKIT====================-->

    <style name="horizontal_deep_thick_divider">
        <item name="android:layout_height">@dimen/im_split_one_dip</item>
        <item name="android:layout_width">fill_parent</item>
        <item name="android:background">@color/im_color_gray_d9d9d9</item>
    </style>

    <declare-styleable name="TitleBarBottom">
        <attr name="left_text" format="string"/>
        <attr name="left_start_icon" format="reference" />
        <attr name="left_end_icon" format="reference" />
        <attr name="title_text" format="string" />
        <attr name="title_color" format="color"/>
        <attr name="right_text" format="string"/>
        <attr name="right_start_icon" format="reference" />
        <attr name="right_end_icon" format="reference" />
        <attr name="side_text_color" format="color" />
        <attr name="title_bar_text_color" format="color|reference" />
        <attr name="title_bar_bg" format="color|reference" />
        <attr name="right_iv" format="reference"/>
        <attr name="show_bottom_title" format="boolean"/>

    </declare-styleable>

    <style name="bottom_to_top_dialog_style">
        <item name="android:windowEnterAnimation">@anim/bottom_pop_show_anim</item>
        <!-- 指定显示的动画xml -->
        <item name="android:windowExitAnimation">@anim/bottom_pop_hidden_anim</item>
        <!-- 指定消失的动画xml -->
    </style>

    <declare-styleable name="MaxHeightScrollView">
        <attr name="maxHeight" format="dimension" />
    </declare-styleable>


</resources>
